Logging tunings #24

Merged
stefan merged 5 commits from master into stable 2020-10-01 17:15:32 +00:00
3 changed files with 9 additions and 7 deletions

View File

@ -2,7 +2,7 @@ apiVersion: v2
name: kubezero-logging
description: KubeZero Umbrella Chart for complete EFK stack
type: application
version: 0.3.6
version: 0.3.8
appVersion: 1.2.1
home: https://kubezero.com
icon: https://cdn.zero-downtime.net/assets/kubezero/logo-small-64.png

View File

@ -108,6 +108,8 @@ fluentd:
port 24224
bind 0.0.0.0
skip_invalid_event true
# Only for TCP not TLS
# send_keepalive_packet true
<transport tls>
cert_path /mnt/fluentd-certs/tls.crt
private_key_path /mnt/fluentd-certs/tls.key
@ -128,7 +130,6 @@ fluentd:
remove_keys id
# KubeZero pipeline incl. GeoIP etc.
# Freaking ES jams under load and all is lost ...
# pipeline fluentd
host "#{ENV['OUTPUT_HOST']}"
@ -146,8 +147,8 @@ fluentd:
request_timeout 15s
suppress_type_name true
<buffer>
@type file
<buffer tag>
@type file_single
path /var/log/fluentd-buffers/kubernetes.system.buffer
flush_mode interval
flush_thread_count 2
@ -155,7 +156,6 @@ fluentd:
flush_at_shutdown true
retry_type exponential_backoff
retry_timeout 60m
chunk_limit_size 16M
overflow_action drop_oldest_chunk
</buffer>
</match>

View File

@ -2,6 +2,7 @@
set -e
DEPLOY_DIR=$( dirname $( realpath $0 ))
which yq || { echo "yq not found!"; exit 1; }
# Waits for max 300s and retries
function wait_for() {
@ -31,13 +32,15 @@ else
_argo_date="$(date -u --iso-8601=seconds)"
_argo_passwd="$($DEPLOY_DIR/argocd_password.py)"
cat <<EOF >> values.yaml
cat <<EOF > _argocd_values.yaml
argo-cd:
configs:
secret:
# ArgoCD password: ${_argo_passwd%%:*} Please move to secure location !
argocdServerAdminPassword: "${_argo_passwd##*:}"
argocdServerAdminPasswordMtime: "$_argo_date"
EOF
yq merge -i --overwrite values.yaml _argocd_values.yaml && rm -f _argocd_values.yaml
fi
# Deploy initial argocd
@ -58,7 +61,6 @@ EOF
helm template $DEPLOY_DIR -f values.yaml -f cloudbender.yaml -f $DEPLOY_DIR/values-step-2.yaml > generated-values.yaml
helm upgrade -n argocd kubezero kubezero/kubezero-argo-cd -f generated-values.yaml
wait_for kubectl get Issuer -n kube-system kubezero-local-ca-issuer 2>/dev/null 1>&2
wait_for kubectl get ClusterIssuer letsencrypt-dns-prod 2>/dev/null 1>&2
kubectl wait --for=condition=Ready -n kube-system Issuer/kubezero-local-ca-issuer
fi